%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Algorithm-Diff

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Algorithm::Diff - Compute intelligent differences between two files / lists
Name:		perl-%{perlname}
Version:	1.1902
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Algorithm+Diff
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot


Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Algorithm::Diff - Compute intelligent differences between two files / lists
For more details see: http://search.cpan.org/~tyemq/Algorithm-Diff

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.1902-1
- Version Update
* Sun May 14 2006 Christian Wasem <wasem@ccux-linux.de> 1.1901-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.1901-2
- Rebuild against perl-5.8.7
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.1901-1
- Initial Release  
